package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 po_collection
 *
 * @author ruoyi
 * @date 2023-02-12
 */
public class PoCollection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 藏品Id */
    private Long collectionId;

    private Long tetherId;

    /** 藏品名字 */
    @Excel(name = "藏品名字")
    private String collectionTitle;

    /** 藏品状态（0正常 1禁止） */
    @Excel(name = "藏品状态", readConverterExp = "0=正常,1=禁止")
    private String status;

    /** 藏品类型（0邮票 1其他） */
    @Excel(name = "藏品类型", readConverterExp = "0=邮票,1=其他")
    private Long collectionType;

    /** 是否删除（1删除 0未删除） */
    private Long delFlag;

    /** 藏品数量 */
    @Excel(name = "藏品数量")
    private Long total;

    /** 藏品图片 */
    @Excel(name = "藏品图片")
    private String image;

    /** 模版 */
    @Excel(name = "模版")
    private String formwork;

    /** 藏品价格 */
    @Excel(name = "藏品价格")
    private Long price;

    /** 发行方 */
    @Excel(name = "发行方")
    private Long publisherName;

    /** 作者故事 */
    @Excel(name = "作者故事")
    private String story;

    /** 是否上架（0上链 1未上链） */
    @Excel(name = "是否上架", readConverterExp = "0=上链,1=未上链")
    private Long grounding;

    /** 是否上链（0上链1未上链） */
    @Excel(name = "是否上链", readConverterExp = "0=上链1未上链")
    private Long cochain;


    public void setTetherId(Long tetherId) {
        this.tetherId = tetherId;
    }

    public Long getTetherId() {
        return tetherId;
    }

    public void setCollectionId(Long collectionId)
    {
        this.collectionId = collectionId;
    }

    public Long getCollectionId()
    {
        return collectionId;
    }
    public void setCollectionTitle(String collectionTitle)
    {
        this.collectionTitle = collectionTitle;
    }

    public String getCollectionTitle()
    {
        return collectionTitle;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setCollectionType(Long collectionType)
    {
        this.collectionType = collectionType;
    }

    public Long getCollectionType()
    {
        return collectionType;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setTotal(Long total)
    {
        this.total = total;
    }

    public Long getTotal()
    {
        return total;
    }
    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }
    public void setFormwork(String formwork)
    {
        this.formwork = formwork;
    }

    public String getFormwork()
    {
        return formwork;
    }
    public void setPrice(Long price)
    {
        this.price = price;
    }

    public Long getPrice()
    {
        return price;
    }
    public void setPublisherName(Long publisherName)
    {
        this.publisherName = publisherName;
    }

    public Long getPublisherName()
    {
        return publisherName;
    }
    public void setStory(String story)
    {
        this.story = story;
    }

    public String getStory()
    {
        return story;
    }
    public void setGrounding(Long grounding)
    {
        this.grounding = grounding;
    }

    public Long getGrounding()
    {
        return grounding;
    }
    public void setCochain(Long cochain)
    {
        this.cochain = cochain;
    }

    public Long getCochain()
    {
        return cochain;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("collectionId", getCollectionId())
                .append("collectionTitle", getCollectionTitle())
                .append("status", getStatus())
                .append("collectionType", getCollectionType())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .append("total", getTotal())
                .append("remark", getRemark())
                .append("image", getImage())
                .append("formwork", getFormwork())
                .append("price", getPrice())
                .append("publisherName", getPublisherName())
                .append("story", getStory())
                .append("grounding", getGrounding())
                .append("cochain", getCochain())
                .append("tetherId",getTetherId())
                .toString();
    }
}

